define(['exports', 'module', '../get/shadow-host', '../util/get-document'], function (exports, module, _getShadowHost, _utilGetDocument) {
  // Determines if an element is the activeElement within its context, i.e. its document iFrame or ShadowHost

  'use strict';

  function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

  var _getShadowHost2 = _interopRequireDefault(_getShadowHost);

  var _getDocument = _interopRequireDefault(_utilGetDocument);

  module.exports = function (element) {
    if (element === document) {
      element = document.documentElement;
    }

    if (!element || element.nodeType !== Node.ELEMENT_NODE) {
      throw new TypeError('is/active-element requires an argument of type Element');
    }

    var _document = (0, _getDocument['default'])(element);
    if (_document.activeElement === element) {
      return true;
    }

    var shadowHost = (0, _getShadowHost2['default'])({ context: element });
    if (shadowHost && shadowHost.shadowRoot.activeElement === element) {
      return true;
    }

    return false;
  };
});
//# sourceMappingURL=active-element.js.map